AGH RuntimeAPI Reference
Skills
AGH Skills HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
List skills for one workspace
GET
/api/skillsQuery Parameters
workspace*string
Workspace id or path
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/skills?workspace=string"{
"skills": [
{
"description": "string",
"dir": "string",
"enabled": true,
"metadata": {
"property1": null,
"property2": null
},
"name": "string",
"provenance": {
"installed_at": "2019-08-24T14:15:22Z",
"registry": "string",
"slug": "string",
"version": "string"
},
"source": "string",
"version": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Get one skill definition
GET
/api/skills/{name}Path Parameters
name*string
Skill name
Query Parameters
workspace?string
Workspace id or path
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/skills/string"{
"skill": {
"description": "string",
"dir": "string",
"enabled": true,
"metadata": {
"property1": null,
"property2": null
},
"name": "string",
"provenance": {
"installed_at": "2019-08-24T14:15:22Z",
"registry": "string",
"slug": "string",
"version": "string"
},
"source": "string",
"version": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Get the raw content for one skill
GET
/api/skills/{name}/contentPath Parameters
name*string
Skill name
Query Parameters
workspace?string
Workspace id or path
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/skills/string/content"{
"content": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Disable one skill
POST
/api/skills/{name}/disablePath Parameters
name*string
Skill name
Query Parameters
workspace?string
Workspace id or path
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/skills/string/disable"{
"ok": true
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty
Enable one skill
POST
/api/skills/{name}/enablePath Parameters
name*string
Skill name
Query Parameters
workspace?string
Workspace id or path
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/skills/string/enable"{
"ok": true
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Empty